Bug 426472 - Greps piped to awk are rarely required
Greps piped to awk are rarely required
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Michael Mráka
https://www.redhat.com/mailman/privat...
: Triaged
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2007-12-21 06:08 EST by Jan Pazdziora
Modified: 2009-09-10 16:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2007-12-21 06:08:27 EST
Description of problem:

The check-oracle-space-usage.sh script pipes output of grep to awk. This could
be improved.

Version-Release number of selected component (if applicable):

rhn-dobby-5.0.1-10

How reproducible:

Deterministic.

Steps to Reproduce:
1. Look at the code.
  
Actual results:

MAILADDRESS=`grep "traceback_mail" /etc/rhn/rhn.conf | awk '{print $3}'`

Expected results:

MAILADDRESS=`awk '/traceback_mail/ {print $3}' /etc/rhn/rhn.conf`

Additional info:
Comment 3 Jan Pazdziora 2009-02-11 05:48:11 EST
Fixed in Spacewalk repo, commit 01d8f8c5f24c37281666d4d03571877b10aab4fb.
Comment 5 Michael Mráka 2009-03-10 18:42:12 EDT
Verified. Satellite-5.3.0-RHEL4-re20090227.1
Comment 6 Sayli Karmarkar 2009-08-25 19:14:01 EDT
[root@sun-x4200-01 ~]# cat /etc/cron.daily/check-oracle-space-usage.sh | grep MAILADDRESS=
   MAILADDRESS=`awk '/traceback_mail/ {print $3}' /etc/rhn/rhn.conf`

Moving to release_pending.
Comment 7 Brandon Perkins 2009-09-10 16:22:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.